FixStuckAudio = {
	name = "FixStuckAudio",
	slashCommand = "/fixstuckaudio",
}

local function OnAddOnLoaded( eventCode, addonName )
	if (addonName ~= FixStuckAudio.name) then return end

	EVENT_MANAGER:UnregisterForEvent(FixStuckAudio.name, EVENT_ADD_ON_LOADED)

	ZO_CreateStringId("SI_BINDING_NAME_FIX_STUCK_AUDIO", "Fix Stuck Audio")

	SLASH_COMMANDS[FixStuckAudio.slashCommand] = FixStuckAudio.Toggle
end

function FixStuckAudio.Toggle( )
	SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_AUDIO_ENABLED, "0")
	zo_callLater(function() SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_AUDIO_ENABLED, "1") end, 300)
end

EVENT_MANAGER:RegisterForEvent(FixStuckAudio.name, EVENT_ADD_ON_LOADED, OnAddOnLoaded)
